# Uses of Class
org.codehaus.janino.util.signature.SignatureParser.TypeArgument

Packages that use SignatureParser.TypeArgument
Package
Description
org.codehaus.janino.util.signature
Application-independent helper classes.

## Uses of SignatureParser.TypeArgument in org.codehaus.janino.util.signature

Fields in org.codehaus.janino.util.signature with type parameters of type SignatureParser.TypeArgument
Modifier and Type
Field
Description
`final List<SignatureParser.TypeArgument>`
SignatureParser.ClassTypeSignature.`typeArguments`
The `SignatureParser.TypeArgument`s of this class.
`final List<SignatureParser.TypeArgument>`
SignatureParser.SimpleClassTypeSignature.`typeArguments`
The type arguments of the class, e.g.
Constructor parameters in org.codehaus.janino.util.signature with type arguments of type SignatureParser.TypeArgument
Modifier
Constructor
Description
``
`ClassTypeSignature(String packageSpecifier, String simpleClassName, List<SignatureParser.TypeArgument> typeArguments, List<SignatureParser.SimpleClassTypeSignature> suffixes, SignatureParser.Options options)`
``
`SimpleClassTypeSignature(String simpleClassName, List<SignatureParser.TypeArgument> typeArguments)`